.reveal {
    opacity: 0;
    transition: all 1.0s ease-out;
    visibility: hidden;
}

.fade-up { transform: translateY(50px); }
.fade-left { transform: translateX(-50px); }
.fade-right { transform: translateX(50px); }

.reveal.active {
    opacity: 1;
    transform: translate(0, 0);
    visibility: visible;
}